[android-components](../../index.md) / [mozilla.components.service.fxa](../index.md) / [AccountObserver](index.md) / [onAuthenticated](./on-authenticated.md)

# onAuthenticated

`abstract fun onAuthenticated(account: `[`FirefoxAccountShaped`](../-firefox-account-shaped/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/firefox-accounts/src/main/java/mozilla/components/service/fxa/FxaAccountManager.kt#L102)

Account was successfully authenticated.

### Parameters

`account` - An authenticated instance of a [FirefoxAccountShaped](../-firefox-account-shaped/index.md).